use anyhow::Result;
use clap::Parser;
use tokio::time::{sleep, Duration};
use tracing_subscriber::prelude::*;

#[derive(Parser, Debug)]
#[command(version, about, long_about = None)]
struct Cli {}

#[tokio::main]
async fn main() -> Result<()> {
    let _args = Cli::parse();
    let fmt_layer = tracing_subscriber::fmt::layer();

    tracing_subscriber::registry()
        .with(tracing_subscriber::EnvFilter::from_default_env())
        .with(fmt_layer)
        .init();

    tracing::info!("Patagia Controller");

    sleep(Duration::from_secs(3)).await;
    Ok(())
}
